Copyright: distributable
Source: rhl-sap-en-%{version}.tbz
Release: 2
Name: rhl-sap-en
Group: Documentation
Version: 9
Summary: The Red Hat Linux %{version} System Administration Primer in HTML format.
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 
The Red Hat Linux %{version} System Administration
Primer provides an overview of Linux system administration for the new
system administrator. Topics discussed include resource utilization,
storage management, backup guidelines, and disaster recovery.

The %{name} package contains the Red Hat Linux %{version} 
System Administration Primer in HTML format.  PDF, RPM, HTML tarball, and
browsable HTML formats are available from the Red Hat Docs webpage at
http://www.redhat.com/docs/.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=System Administration Primer
Comment=Read about administering Red Hat Linux
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Tue Feb 25 2003 Tammy Fox <tfox@redhat.com> 9-2
- Fix typos

* Thu Feb 20 2003 Tammy Fox <tfox@redhat.com> 9-1
- Build for Docs CD

* Thu Jan 16 2003 Tammy Fox <tfox@redhat.com>
- Build for beta Docs CD

* Wed Oct 02 2002 Tammy Fox <tfox@redhat.com>
- Build for website-only release

* Tue Oct 01 2002 Edward C. Bailey <ed@redhat.com>
- Minor change to description

* Tue Sep 17 2002 Edward C. Bailey <ed@redhat.com>
- Modified for new title

* Thu Aug 29 2002 Tammy Fox <tfox@redhat.com>
- Require htmlview

* Wed Jun 12 2002 Tammy Fox <tfox@redhat.com>
- Initial packaging
